Package com.google.android.exoplayer2.metadata.scte35

## Class SpliceInsertCommand

- java.lang.Object
- - com.google.android.exoplayer2.metadata.scte35.SpliceCommand
  - - com.google.android.exoplayer2.metadata.scte35.SpliceInsertCommand

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class SpliceInsertCommand
      extends SpliceCommand

  Represents a splice insert command defined in SCTE35, Section 9.3.3.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SpliceInsertCommand.ComponentSplice` | Holds splicing information for specific splice insert command components.

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `boolean` | `autoReturn` | If `breakDurationUs` is not `C.TIME_UNSET`, defines whether `breakDurationUs` should be used to know when to return to the network feed.
    `int` | `availNum` | Holds the value of `avail_num` as defined in SCTE35, Section 9.3.3.
    `int` | `availsExpected` | Holds the value of `avails_expected` as defined in SCTE35, Section 9.3.3.
    `long` | `breakDurationUs` | The duration of the splice in microseconds, or `C.TIME_UNSET` if no duration is present.
    `List<SpliceInsertCommand.ComponentSplice>` | `componentSpliceList` | If `programSpliceFlag` is false, a non-empty list containing the `SpliceInsertCommand.ComponentSplice`s.
    `static Parcelable.Creator<SpliceInsertCommand>` | `CREATOR` |
    `boolean` | `outOfNetworkIndicator` | If true, the splice event is an opportunity to exit from the network feed.
    `boolean` | `programSpliceFlag` | Whether the splice mode is program splice mode, whereby all PIDs/components are to be spliced.
    `long` | `programSplicePlaybackPositionUs` | Equivalent to `programSplicePts` but in the playback timebase.
    `long` | `programSplicePts` | If `programSpliceFlag` is true, the PTS at which the program splice should occur.
    `boolean` | `spliceEventCancelIndicator` | True if the event with id `spliceEventId` has been canceled.
    `long` | `spliceEventId` | The splice event id.
    `boolean` | `spliceImmediateFlag` | Whether splicing should be done at the nearest opportunity.
    `int` | `uniqueProgramId` | The unique program id as defined in SCTE35, Section 9.3.3.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class com.google.android.exoplayer2.metadata.scte35.SpliceCommand

      `describeContents, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat, populateMediaMetadata`

- - ### Field Detail

    - #### spliceEventId

          public final long spliceEventId

      The splice event id.

    - #### spliceEventCancelIndicator

          public final boolean spliceEventCancelIndicator

      True if the event with id `spliceEventId` has been canceled.

    - #### outOfNetworkIndicator

          public final boolean outOfNetworkIndicator

      If true, the splice event is an opportunity to exit from the network feed. If false, indicates an opportunity to return to the network feed.

    - #### programSpliceFlag

          public final boolean programSpliceFlag

      Whether the splice mode is program splice mode, whereby all PIDs/components are to be spliced. If false, splicing is done per PID/component.

    - #### spliceImmediateFlag

          public final boolean spliceImmediateFlag

      Whether splicing should be done at the nearest opportunity. If false, splicing should be done at the moment indicated by `programSplicePlaybackPositionUs` or `SpliceInsertCommand.ComponentSplice.componentSplicePlaybackPositionUs`, depending on `programSpliceFlag`.

    - #### programSplicePts

          public final long programSplicePts

      If `programSpliceFlag` is true, the PTS at which the program splice should occur. `C.TIME_UNSET` otherwise.

    - #### programSplicePlaybackPositionUs

          public final long programSplicePlaybackPositionUs

      Equivalent to `programSplicePts` but in the playback timebase.

    - #### componentSpliceList

          public final List<SpliceInsertCommand.ComponentSplice> componentSpliceList

      If `programSpliceFlag` is false, a non-empty list containing the `SpliceInsertCommand.ComponentSplice`s. Otherwise, an empty list.

    - #### autoReturn

          public final boolean autoReturn

      If `breakDurationUs` is not `C.TIME_UNSET`, defines whether `breakDurationUs` should be used to know when to return to the network feed. If `breakDurationUs` is `C.TIME_UNSET`, the value is undefined.

    - #### breakDurationUs

          public final long breakDurationUs

      The duration of the splice in microseconds, or `C.TIME_UNSET` if no duration is present.

    - #### uniqueProgramId

          public final int uniqueProgramId

      The unique program id as defined in SCTE35, Section 9.3.3.

    - #### availNum

          public final int availNum

      Holds the value of `avail_num` as defined in SCTE35, Section 9.3.3.

    - #### availsExpected

          public final int availsExpected

      Holds the value of `avails_expected` as defined in SCTE35, Section 9.3.3.

    - #### CREATOR

          public static final Parcelable.Creator<SpliceInsertCommand> CREATOR

  - ### Method Detail

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)